<md-horizontal-stepper [linear]="true" class="middelCenter">
  <md-step [stepControl]="firstFormGroup">
    <form [formGroup]="firstFormGroup" class="middelCenter">
      <ng-template mdStepLabel>Personal Data</ng-template>
      <div class="form-group">
        <label>First Name:</label>
        <input type="text" placeholder="First name" formControlName="fisrtNameCtrl" class="form-control">
        <div *ngIf="!firstFormGroup.controls['fisrtNameCtrl'].valid && isClickStepOne" class="alert-danger">You must include a first name.</div>
      </div>

      <div class="form-group">
        <label>Last Name:</label>
        <input type="text" placeholder="Last name" formControlName="lastNameCtrl" class="form-control">
        <div *ngIf="!firstFormGroup.controls['lastNameCtrl'].valid && isClickStepOne" class="alert-danger">You must include a last name.</div>
      </div>

      <div class="form-group">
          <label>Phone Number:</label>
          <input type="text" placeholder="Phone Numbe" formControlName="phoneNumberCtrl" class="form-control" maxlength="9" appNumericOnly>
          <div *ngIf="!firstFormGroup.controls['phoneNumberCtrl'].valid && isClickStepOne" class="alert-danger">You must include a correct format.</div>
        </div>
        
        
      <div class="text-center">
        <button class="btn btn-primary" mdStepperNext (click)="stepOne()">Next</button>
      </div>
    </form>
  </md-step>
  <md-step [stepControl]="secondFormGroup">
    <form [formGroup]="secondFormGroup" class="middelCenter">
      <ng-template mdStepLabel>Address Data</ng-template>
      <div class="form-group">
          <label>Address:</label>
          <input type="text" placeholder="Address" formControlName="addressCtrl" class="form-control" [(ngModel)]="name">
          <div *ngIf="!secondFormGroup.controls['addressCtrl'].valid && isClickStepTwo" class="alert-danger">You must include a first addres.</div>
        </div>
        <div class="form-group">
            <label>City:</label>
            <input type="text" placeholder="city" formControlName="cityCtrl" class="form-control">
            <div *ngIf="!secondFormGroup.controls['cityCtrl'].valid && isClickStepTwo" class="alert-danger">You must include a first city.</div>
        </div>
        <div class="form-group">
          <label>Postal Code:</label>
          <input type="text" placeholder="Postal Code" formControlName="postalCodeCtrl" class="form-control" maxlength="5" appNumericOnly>
          <div *ngIf="!secondFormGroup.controls['postalCodeCtrl'].valid && isClickStepTwo" class="alert-danger">You must include a correct format.</div>
        </div>  
      <div>
        <button class="btn btn-primary" mdStepperPrevious>Back</button>
        <button class="btn btn-primary pull-right" mdStepperNext (click)="stepTwo()">Next</button>
      </div>
    </form>
  </md-step>
  <md-step>
    <ng-template mdStepLabel>Done</ng-template>
    <div class="middelCenter">
        <div class="alert alert-success">
            <i class="fa fa-check-circle" aria-hidden="true"></i><strong>  You are now done.</strong>
        </div>
        <div class="text-center">
          <button class="btn btn-primary" mdStepperPrevious>Back</button>
        </div>
    </div>
   
  </md-step>
</md-horizontal-stepper>

